# Set Library Copyright

Edits or adds a copyright statement for a given library

Endpoint: POST /api/v2.0/orgs/{orgToken}/libraries/{libraryUuid}/copyrights
Version: 2.0
Security: bearer-key

## Path parameters:

  - `orgToken` (string, required)
    org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: **Integrate** tab > **API Key**).

  - `libraryUuid` (string, required)
    library UUID (get a project's library by running Library - Project > Get Project Libraries.

## Request fields (application/json):

  - `copyright` (string)
    Example: Copyright 2002 Landmark

  - `customDisclaimer` (string)
    Example: a disclaimer for the copyright 

  - `createdAt` (string)

  - `startYear` (string)
    Example: 2020

  - `endYear` (string)
    Example: 2022

  - `author` (string)
    Example: Cloud Conscious, LLC

## Response 200 fields (application/json):

  - `supportToken` (string)
    Example: 1171c60d

  - `retVal` (object)

  - `retVal.type` (string)
    Enum: "TEXT_IN_FILE", "ARTIFACT_DESCRIPTOR", "PROJECT_HOMEPAGE", "USER", "UNSPECIFIED"

  - `retVal.copyright` (string, required)
    Example: Copyright 2021 x greater by the end of

  - `retVal.customDisclaimer` (string)

  - `retVal.createdAt` (string)

  - `retVal.textUrl` (string)

  - `retVal.startYear` (string)
    Example: 2021

  - `retVal.endYear` (string)
    Example: 2022

  - `retVal.author` (string)
    Example: x greater by the end of

  - `retVal.referenceInfo` (string)
    Example: x greater by the end of

  - `retVal.assignedBy` (object)

  - `retVal.assignedBy.uuid` (string, required)
    Example: 123e4567-e89b-12d3-a456-426655440000

  - `retVal.assignedBy.name` (string)
    Example: Jon Smith

  - `retVal.assignedBy.email` (string)
    Example: jon.smith@mail.com

  - `retVal.assignedBy.userType` (string)
    Enum: "REGULAR", "SERVICE", "SCAN_SUMMARY_RECEIVER"

  - `retVal.assignedBy.accountStatus` (string)
    Enum: "ACTIVE", "INACTIVE", "LOCKOUT"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

